Bug 507048 - Default config values for Virt items not translated in the Profile
Default config values for Virt items not translated in the Profile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Partha Aji
Brad Buckingham
https://<URL>/rhn/kickstart/Kickstart...
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-19 23:38 EDT by Partha Aji
Modified: 2009-09-10 15:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2009-06-19 23:38:43 EDT
Description of problem:
Config values set for Virt settings such as 
kickstart.virt_bridge, kickstart.virt_mem_size_kb, kickstart.virt_cpus, kickstart.virt_disk_size_gb etc are not getting translated in the UI, there by making them useless. 

Version-Release number of selected component (if applicable):
530 jun 19 09 iso

How reproducible:
always

Steps to Reproduce:
1.Add the following config entries to rhn.conf
kickstart.virt_storage_path=/tmp/foo
kickstart.virt_bridge=xenbr100
kickstart.virt_mem_size_kb=277788
kickstart.virt_cpus=100
kickstart.virt_disk_size_gb=100
2. restart tomcat
3. Create a new kickstart profile..
4. Goto the KS details page
  
Actual results:
None of the values you entered here got translated in the default values for the profile

Expected results:
The default values for virt_bridge, virt cpus etc should get translated  appropriately

Additional info:
Comment 2 Partha Aji 2009-06-24 11:34:14 EDT
Moving to ON_QA
Comment 3 Brad Buckingham 2009-06-30 10:36:25 EDT
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

Executed the test case / scenario described in the bz description.  The test passes with the following exception:

virt_mem_size_kb which was mentioned in the description was actually implemented as virt_mem_size_mb.  This makes sense given that the Virtual Memory is expressed in the webUI as MB (and NOT KB).

Moving to VERIFIED.
Comment 4 Preethi Thomas 2009-07-30 09:06:57 EDT
release pending
https://sun-x4200-01.rhts.bos.redhat.com/
Comment 5 Brandon Perkins 2009-09-10 15:26:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.